---
name: Steve Clark
locality:
country: Remote
role: <a href="">Strategic Account Leader</a>
reports_to: darrenmoffett
picture: steveclark.jpg
pronunciation:
twitter:
gitlab: sclarkwins
departments:
- Enterprise Sales
expertise: Sales
story: Steve has been in tech sales for the last 10 years, holding both individual
  contributor and management roles in the enterprise space. He's traveled around the
  world several times and speaks 3 languages besides English, and is a connoisseur
  and lover of all types of cultures and experiences. Currently residing in Eagle
  Mountain, Utah, Steve enjoys sports, running, and food (hence the running).

